Bug 2294 - mysql logrotate script needs to be fixed
: mysql logrotate script needs to be fixed
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MySQL-server)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-21 11:49 by
Modified: 2005-08-30 02:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-21 11:49:23
По мотивам обсуждения в sisyphus: это бага, и довольно анноящая.  Лишний junk
mail в почтовом ящике воспринимается плохо вне зависимости от идеологической
подкованности его генератора.

Предлагается исправить logrotate-скрипт на тему HOME=/root или
HOME=/var/lib/mysql с соотв. правкой комментариев в нем.

Хранить пароль root в /etc/my.cnf считаю бессмысленным, права 600 на этот файл
-- тоже.  Даже не стоит засорять им control.

---

Date: Tue, 18 Feb 2003 14:44:42 +0300         
From: \"Artem K. Jouravsky\" 
To: ALT Linux Sisyphus mailing list 
Subject: [sisyphus] Re: MySQL и logrotate                               


On Tue, Feb 18, 2003 at 01:07:16PM +0300, Dmitry V. Levin wrote:                
> On Tue, Feb 18, 2003 at 11:18:25AM +0200, Yura Kalinichenko wrote:         
> > DVL> В /etc/logrotate.d/mysql опечатка, и
\"/root/.my.cnf\" следует                 
> > DVL> читать как \"/etc/my.cnf\".                         
> >                                                                       
> > Не следует. /etc/my.cnf - не место для хранения пароля root.          
>                                                                            
> Почему?                                                                    
> Этот файл поставляется с правами 600.
Иногда удобно сделать этот файл доступным для чтения.
Почему не сделать по умолчанию --defaults-extra-file=/root/.my.cnf в
/etc/logrotate.d/mysql?                                                

---

PS: чесслово -- порой понимаю Славу.  Если грабли кладутся на целиком ровное
место во имя 1% проблем, создавая проблем (идентичного профиля знаний для
решения) на порядок больше -- это СКВ.
---

---
Сферический Конь в Вакууме, that is.
------- Comment #1 From 2003-09-06 21:11:28 -------
I think it was fixed in -3.23.55-alt2. 
------- Comment #2 From 2005-08-30 02:24:30 -------
closing
------- Comment #3 From 2005-08-30 02:35:59 -------
closing